Bug 180329 - Grub error on boot "Inconsistent filesystem structure" with 2.6.15-1.1830_FC4
Grub error on boot "Inconsistent filesystem structure" with 2.6.15-1.1830_FC4
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-07 06:48 EST by Jaak Simm
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.15-1.1831_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-10 04:40:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaak Simm 2006-02-07 06:48:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
The latest kernel (version 2.6.15-1.1830_FC4) is not able to boot, but older kernels still boot (like 2.6.14-1.1656_FC4). After choosing the kernel-2.6.15-1830_FC4 from the grub boot menu, it generates following output:

root(hd0,1)
 Filesystem is ext2fs, partition type 0x83
kernel /vmlinuz-2.16.15-1.1830_FC4 ro root=LABEL=/ rhgb quiet
    [Linux-bzImage, setup=0x1e00, size=0x185650]
Error 16: Inconsistent filesystem structure

Press any key to continue...



After pressing a key it goes back to the grub boot menu and choosing other kernels will successfully boot the system.

All other packages are also up-to-date.

What I have tried:
- removing the kernel (also from local yum cache) and re-installing, no success
- removing livna's binary nvidia drivers

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1830_FC4

How reproducible:
Always

Steps to Reproduce:
1. restart computer
2. choose the new kernel for booting

Actual Results:  machine didn't boot to linux

Expected Results:  machine should have booted to linux

Additional info:

# fdisk -l

Disk /dev/hda: 81.9 GB, 81964302336 bytes
16 heads, 63 sectors/track, 158816 cylinders
Units = cylinders of 1008 * 512 = 516096 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hda1               1      134433    67754106    c  W95 FAT32 (LBA)
/dev/hda2   *      134433      134640      104422+  83  Linux
Partition 2 does not end on cylinder boundary.
/dev/hda3          134641      156586    11060752+  83  Linux
Partition 3 does not end on cylinder boundary.
/dev/hda4          156586      158802     1116517+   5  Extended
Partition 4 does not end on cylinder boundary.
/dev/hda5          156587      158802     1116486   82  Linux swap / Solaris


# df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda3             10714212   6843104   3318072  68% /
/dev/hda2               101105     26728     69156  28% /boot
/dev/shm                257516         0    257516   0% /dev/shm
/dev/hda1             67737536  55342944  12394592  82% /c
/dev/sda1              1005616    260652    744964  26% /media/usbdisk


# ll -l /boot/*2.6.15-1.1830*
-rw-r--r--  1 root root   61728 Feb  3 00:35 /boot/config-2.6.15-1.1830_FC4
-rw-r--r--  1 root root 1091959 Feb  7 13:10 /boot/initrd-2.6.15-1.1830_FC4.img
-rw-r--r--  1 root root  831111 Feb  3 00:35 /boot/System.map-2.6.15-1.1830_FC4
-rw-r--r--  1 root root 1603152 Feb  3 00:35 /boot/vmlinuz-2.6.15-1.1830_FC4


[/boot/grub/grub.conf]
# grub.conf generated by anaconda
...
#boot=/dev/hda
default=0
timeout=5
splashimage=(hd0,1)/grub/splash.xpm.gz
hiddenmenu
title Fedora Core (2.6.15-1.1830_FC4)
	root (hd0,1)
	kernel /vmlinuz-2.6.15-1.1830_FC4 ro root=LABEL=/ rhgb quiet
	initrd /initrd-2.6.15-1.1830_FC4.img
title Fedora Core (2.6.14-1.1656_FC4)
	root (hd0,1)
	kernel /vmlinuz-2.6.14-1.1656_FC4 ro root=LABEL=/ rhgb quiet
	initrd /initrd-2.6.14-1.1656_FC4.img
Comment 1 Jaak Simm 2006-02-10 04:40:32 EST
bug disappeared with kernel 2.6.15-1.1831_FC4.

Note You need to log in before you can comment on or make changes to this bug.